package sudokuCSP;

/**
 *	Interface SudokuConstraint.
 *	<p>
 *	This interface encapsulates the basic functionality required for a<br>
 *	constraint in a Sudoku puzzle. Classes implementing this interface are<br>
 *	responsible for determining what constitutes constraint satisfaction.<br>
 *	<p>
 *	Written by:	Roger West<br>
 *				University of Illinois at Springfield<br>
 *				Jun 26, 2014<br>
 *
 */
public interface SudokuConstraint
{
	
	/**
	 *	Return whether this SudokuConstraint is satisfied based on the current
	 *	puzzle assignment.
	 *
	 *	@param	puzzle		the SudokuPuzzle in its current assignment state
	 *
	 *	@return	true if this SudokuConstraint is satisfied
	 *			false otherwise
	 */
	public boolean isSatisfied(SudokuPuzzle puzzle);

}