package sudokuCSP;


/**
 *	Interface VariableSelector.
 *	<p>
 *	This interface encapsulates the basic functionality required to select the<br>
 *	next unassigned SudokuVariable in a SudokuPuzzle constraint satisfaction<br>
 *	problem (CSP). Classes implementing this interface are responsible for<br>
 *	determining the means by which the next unassigned SudokuVariable is to be<br>
 *	chosen.<br>
 *	<p>
 *	Written by:	Roger West<br>
 *				University of Illinois at Springfield<br>
 *				Jun 26, 2014<br>
 *
 */
public interface VariableSelector
{
	/**
	 *	Return the next unassigned SudokuVariable for the specified SudokuPuzzle.
	 *
	 *	@param	puzzle		the SudokuPuzzle being solved
	 * 
	 *	@return	the next unassigned SudokuVariable
	 */
	public SudokuVariable getNextUnassignedVariable(SudokuPuzzle puzzle);
}
